float intensity;
Texture2D colorTexture;
SamplerState colorTextureSampler;

struct VertexIn
{
  float4 ScreenPos : SV_Position;
  float4 ScreenPosition : TEXCOORD0;
  float2 UnitPosition : TEXCOORD1;
};

float4 main(VertexIn In) : SV_Target
{
  float3 color = colorTexture.Sample(colorTextureSampler, In.UnitPosition, 0).rgb;
  return float4(color, intensity);
}
