#version 100
#extension GL_EXT_shader_texture_lod : enable
precision highp float;
precision highp int;

varying vec2 NormalizedCoords;
uniform sampler2D depthTexture;

void main()
{
  float d = texture2D(depthTexture, NormalizedCoords).r;
  vec4 c;

  d = 255.0*d;
  c.r = floor(d)/255.0;

  d = 255.0 * fract(d);
  c.g = floor(d)/255.0;

  d = 255.0 * fract(d);
  c.b = floor(d)/255.0;

  d = 255.0 * fract(d);
  c.a = floor(d)/255.0;

  gl_FragColor = c;

}
