void main()
{
  VertexIn In = importAttributes();
  In.Position = a_POSITION0;

  VertexOut Out = VERTEX_FUNCTION(In);
  Out.ViewSpacePosition = viewMatrix * Out.WorldPosition;

#ifdef COGS_CLIPPING
  Out.Clip0 = float4(dot(clippingPlanes[0], Out.ViewSpacePosition),
                     dot(clippingPlanes[1], Out.ViewSpacePosition),
                     dot(clippingPlanes[2], Out.ViewSpacePosition),
                     dot(clippingPlanes[3], Out.ViewSpacePosition));
  Out.Clip1.xy = float2(dot(clippingPlanes[4], Out.ViewSpacePosition),
                        dot(clippingPlanes[5], Out.ViewSpacePosition));
#ifdef COGS_PIPELINE_CUSTOM_CLIP
  Out.Clip1.z = Out.COGS_PIPELINE_CUSTOM_CLIP;
#endif
#endif
  exportVaryings(Out);
  gl_Position = Out.Position;
}
