struct VertexOut
{
  float4 Position : SV_Position;
  float4 ScreenPosition : TEXCOORD0;
  float2 TexCoords : TEXCOORD1;
};

VertexOut main(uint id: SV_VertexID)
{
  VertexOut Out = (VertexOut)0;

  Out.TexCoords = float2((id << 1) & 2, id & 2);
  Out.Position = float4(Out.TexCoords * float2(2, -2) + float2(-1, 1), 0, 1);
  Out.ScreenPosition = Out.Position;

  return Out;
}
