float4 main(VertexIn In) : SV_Target
{
  SurfaceOut surface = SURFACE_FUNCTION(In);

#if defined(COGS_ALPHA_TEST_DISCARD) || defined(COGS_ALPHA_TO_COVERAGE)
  if (surface.Color.a < alphaThreshold) discard;
#endif

#if defined(COGS_LIGHT_MODEL_PHONG) || defined(COGS_LIGHT_MODEL_STANDARD)
  return float4(0.5*(surface.Normal + (float3)1), 1);
#else
  discard;
#endif
}
